Subject: bug#65052: 30.0.50; [PATCH] Scroll-{up, down} does not update tracking info in image-dired

From: Manuel Giraud <[email-masked]>
Date: Sat, 05 Aug 2023 10:32:39 +0200

Eli Zaretskii <[email-masked]> writes:

[...]

> Hmm... okay, but I wonder why not call image-dired-track-original-file
> and image-dired--update-header-line directly from each of these new
> commands, after scroll-up/down, instead of implementing this as a
> macro (which calls another macro).  That would have been much simpler
> and easier to follow.  Or is there something I'm missing here?

Yes it would be much simpler.  I was trying to "stay in line" with the
current code.  I could try to add the scroll-up/down feature and maybe,
in a later patch, try to remove thoses macros.  WDYT?
-- 
Manuel Giraud